<?php
// Параметры пса
if(!isset($m_count)){$m_count=($user['level']*(rand(1,6)));}
// Установить лимит монстров
if($m_count>12)$m_count=10;
if($m_count<=0)$m_count=1;
$comm="";  // Команда
if($user['fight_com']=='b'){$mcom='a';}else{$mcom='b';}
for($i=1;$i<=$m_count;$i++)
{
$m['login']="Псевдособака [$i]";       // Имя монстра
$m['p']='m';                    // Суб идентификатор
$m['pol']='0';                  // пол монстра
$m['uptime']=$s_time;           // Время обновления
$m['inkey']='';//жgen_key();    // Пароль
$m['ava']='pso.gif';            // Файл картинки (авка)
$m['locatid']=$user['locatid']; // Локация
$m['coord']=$user['coord'];     // Координаты
$m['level']=3;                  // Уровень
$m['energy']=250;               // Энергия
$m['live']=250;                 // Жизнь
$m['fight']=$fight_id;          // Ид боя
$m['id_prize']=53;              // Идентификатор приза победителя
$m['fight_com']=$mcom;          // Литера команды монстров
mysql_query("INSERT INTO `monstr` SET
            `login`='$m[login]',
            `p`='$m[p]',
            `pol`='$m[pol]',
            `pass`='pso.at',
            `uptime`='$m[uptime]',
            `inkey`='$m[inkey]',
            `ava`='$m[ava]',
            `locatid`='$m[locatid]',
            `coord`='$m[coord]',
            `level`='$m[level]',
            `exp`='$m[id_prize]', 
            `energy`='$m[energy]',
            `live`='$m[live]',
            `fight`='$m[fight]',
            `fight_com`='$m[fight_com]'
          ");
#echo mysql_error()."<br />";
 if(mysql_affected_rows()>0)
  {
    $mons_id=mysql_insert_id();
    $comm.="$mons_id ";
  }
}

$comm=trim($comm);
$comm=str_replace(' ',',',$comm);
$mcom.='kom';
mysql_query("UPDATE `fight` SET `$mcom`='$comm' WHERE `id`='$fight_id' LIMIT 1");
unset ($m);
?>